ietf2bibtex(1)

NAME
ietf2bibtex - Create BibTeX entry for IETF document

SYNOPSIS
ietf2bibtex [- -quiet] [- -verbose] [- -authors-fix-file=NAME] [- -no-authors-fix-file] document [document ...]

DESCRIPTION
ietf2bibtex creates a BibTeX entry for an IETF document (i.e. RFC or Internet Draft). The necessary information is automatically obtained from online XML references and the actual document. Note, that author names are sometimes wrong, misspelled, incomplete or inconsistent. Therefore, ietf2bibtex may read a file denoted as authors fix file. It contains name translations in the form of "Old Name" "New Name", for example:
"A. Bundy" "Al Bundy"
"J. Muller" "Joe Müller"
"J. Moller" "Jarle Møller"
Known limitations of ietf2bibtex:
IETF metadata and documents only contain ASCII characters. To obtain the correct non-ASCII author names (e.g. German, Norwegian, French, etc.), it is necessary to use authors-fix.list.
IETF metadata has often wrong or limited author information for a document. ietf2bibtex tries to obtain the author information from the document. Unusual formatting sometimes prevents this.
IETF metadata often has the wrong date for a document. ietf2bibtex tries to obtain the date from the document. Unusual formatting sometimes prevents this.

OPTIONS
The following arguments may be provided:

document
    The name of the IETF document, e.g. like RFC5351 or draft-dreibholz-mptcp-nornet-experience.

- -quiet
    Print less progress information.

- -verbose
    Print progress information (default).

- -authors-fix-file=NAME
    Use the given file as authors fix file. If not provided, the default is used: try authors-fix.list in the current directory first, then /usr/share/doc/bibtexconv/examples/authors-fix.list.

- -no-authors-fix-file
    Use no authors fix file.

EXAMPLES

ietf2bibtex RFC5351

ietf2bibtex RFC5351 RFC5352 RFC5353 RFC5354 RFC5355 RFC5356 RFC5525 >RSerPool.bib

ietf2bibtex --quiet draft-dreibholz-mptcp-nornet-experience

ietf2bibtex --verbose --authors-fix-file=/usr/share/doc/bibtexconv/examples/authors-fix.list draft-dreibholz-rserpool-delay